#[derive(Debug)]
struct MonPointeur<'a, 'b, T> {
    pointu: &'a T,
    secondu: &'b T,
}

impl<'a, 'b, T> MonPointeur<'a, 'b, T> {
    fn new(contenu1: &'a T, contenu2: &'b T) -> MonPointeur<'a, 'b, T> {
        //lifetime ellision
        MonPointeur {
            pointu: contenu1,
            secondu: contenu2,
        }
    }
}

fn main() {
    let e = 3;
    let q = {
        let f = 4;
        let p = MonPointeur::new(&e, &f);
        println!("P: {:?}", p);
        p.pointu
    };
}
